package com.fjhx.mail.config;


import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Configuration
public class MailServiceConfig {

    /**
     * 调用主服务url前缀
     */
    public static String urlPrefix;

    public static String abroadUrlPrefix;

    @Value("${mail.urlPrefix}")
    public void setUrlPrefix(String urlPrefix) {
        MailServiceConfig.urlPrefix = urlPrefix;
    }

    @Value("${mail.abroadUrlPrefix}")
    public void setAbroadUserUrlPrefix(String abroadUserUrlPrefix) {
        MailServiceConfig.abroadUrlPrefix = abroadUserUrlPrefix;
    }
}
