package com.fjhx.mes.service.production;

import com.fjhx.mes.entity.production.po.ProductionTaskDetail;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.production.vo.ProductionTaskDetailVo;
import com.fjhx.mes.entity.production.dto.ProductionTaskDetailSelectDto;
import com.fjhx.mes.entity.production.dto.ProductionTaskDetailDto;


/**
 * <p>
 * 生产任务明细 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-18
 */
public interface ProductionTaskDetailService extends BaseService<ProductionTaskDetail> {

    /**
     * 生产任务明细分页
     */
    Page<ProductionTaskDetailVo> getPage(ProductionTaskDetailSelectDto dto);

    void circulation(ProductionTaskDetailDto productionTaskDetailDto);

    void productStorage(Long id);

    void receive(ProductionTaskDetailDto productionTaskDetailDto);
}
