package com.fjhx.jxst.entity.sales.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 销售合同
 * </p>
 *
 * @author 
 * @since 2023-05-16
 */
@Getter
@Setter
@TableName("sales_contract")
public class SalesContract extends BasePo {

    /**
     * 客户id
     */
    private Long customerId;

    /**
     * 交货日期
     */
    private Date deliveryDate;

    /**
     * 付款方式 租户字典
     */
    private String payMethod;

    /**
     * 运费支付方 甲方/乙方
     */
    private String freightPayer;

    /**
     * 备注
     */
    private String remark;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 流程key
     */
    private String flowKey;

    /**
     * 合同金额
     */
    private BigDecimal contractAmount;

}
