package com.fjhx.mes.entity.production.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 生产任务明细
 * </p>
 *
 * @author 
 * @since 2023-05-17
 */
@Getter
@Setter
@TableName("production_task_detail")
public class ProductionTaskDetail extends BasePo {

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 生产任务id
     */
    private Long productionTaskId;

    /**
     * 产品sn
     */
    private String productSn;

    /**
     * 当前工序id
     */
    private Long productionProcessesId;

    /**
     * 完成时间
     */
    private Date finishTime;

    /**
     * 完成状态 1完成 0未完成
     */
    private Integer finishStatus;

    /**
     * 负责人id
     */
    private Long personLiableId;

    /**
     * 下一工序id
     */
    private Long nextProductionProcessesId;
    /**
     * 流转人id
     */
    private Long circulationUserId;
    /**
     * 流转状态
     */
    private Integer circulationStatus;

    /**
     * 接收人id
     */
    private Long receivedUserId;

}
