package com.fjhx.sale.entity.claim.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 到账认领-合同关联表
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
@Getter
@Setter
@TableName("claim_contract")
public class ClaimContract extends BasePo {

    /**
     * 合同ID
     */
    private Long contractId;

    /**
     * 到账认领ID
     */
    private Long claimId;
    /**
     * 关联金额
     */
    private BigDecimal money;

    /**
     * 合同编码
     */
    private String contractCode;

}
