package com.fjhx.sale.entity.contract.vo;

import com.fjhx.sale.entity.contract.po.Contract;
import com.fjhx.sale.entity.contract.po.ContractBudget;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 外销合同--预算列表查询返回值实体
 *
 * @author 
 * @since 2023-05-17
 */
@Getter
@Setter
public class ContractBudgetVo extends Contract {
    /**
     * 拖车费币种
     */
    private String trailerFeeCurrency;

    /**
     * 拖车费
     */
    private BigDecimal trailerFee;

    /**
     * 报关费币种
     */
    private String customsFeeCurrency;

    /**
     * 报关费
     */
    private BigDecimal customsFee;

    /**
     * 代理费币种
     */
    private String agencyFeeCurrency;

    /**
     * 代理费
     */
    private BigDecimal agencyFee;

    /**
     * 港杂费币种
     */
    private String portMixedFeeCurrency;

    /**
     * 港杂费
     */
    private BigDecimal portMixedFee;

    /**
     * 验货红包币种
     */
    private String inspectionRedPackCurrency;

    /**
     * 验货红包
     */
    private BigDecimal inspectionRedPack;

    /**
     * 佣金币种
     */
    private String commissionCurrency;

    /**
     * 佣金
     */
    private BigDecimal commission;

    /**
     * 其他币种
     */
    private String otherCurrency;

    /**
     * 其他
     */
    private BigDecimal other;

    /**
     * 订单ID
     */
    private Long contractId;

    /**
     * 尔泓应付货款
     */
    private BigDecimal ehsdSumAmount;

    /**
     * 其他租户应付货款
     */
    private BigDecimal otherumAmount;

    /**
     * 毛利
     */
    private BigDecimal gross;

    /**
     * 毛利率
     */
    private BigDecimal grossRate;

    /**
     * 支出总计
     */
    private BigDecimal expenditureAmount;

    /**
     * 收入总计
     */
    private BigDecimal incomeAmount;

    /**
     * 应退税金额
     */
    private BigDecimal RefundableAmount;
}
